--[[
Copyright (C) 2018  Thomas PORTASSAU (thomatoes50)

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
]]

local M = {}
local blackList = {"levels/jungle_rock_island/art/shapes/buildings/bussign.dae","levels/jungle_rock_island/art/shapes/buildings/busstop_jri.dae"}

-- local function onExtensionLoaded()
--   log("I", "removeBS.onExtensionLoaded", "onExtensionLoaded")
-- end

local function onWorldReadyState()
    -- log("E", "removeBS.onWorldReadyState", "state="..tostring(core_gamestate.state.state) )
    -- log("E", "removeBS.onWorldReadyState", "scenario_busdriver loaded ="..tostring(scenario_busdriver ~= nil) )
    if core_gamestate.state and core_gamestate.state.state == "freeroam" and scenario_busdriver == nil then
        log("D", "removeBS.onClientPostStartMission", "freeroam, removing bus stops")
        for k,v in pairs( scenetree.findClassObjects("TSStatic") ) do
            local obj = scenetree.findObject(v)
            local filename = obj:getModelFile()
            if tableContainsCaseInsensitive(blackList, filename) then obj:delete() end
        end
    end
end

M.onWorldReadyState = onWorldReadyState
-- M.onExtensionLoaded = onExtensionLoaded
return M